Subject: [ai-control] [Question] Priority conflict between HTTP Header and Robots.txt in draft-ietf-aipref-attach
From: "happypants" <[email-masked]>
To: "ai-control" <[email-masked]>
Date: Fri, 27 Feb 2026 17:26:03 +0800
List-Id: AI Control <ai-control.ietf.org>

Hi everyone,
I am a new participant from Nanchang univeristy, and I am currently reviewing the draft-ietf-aipref-attach&nbsp;to understand how to associate AI usage preferences with content.
I have a question regarding priority conflicts.
As defined in the draft:

Section 2&nbsp;defines the Content-Usage&nbsp;header field for HTTP responses.

Section 3&nbsp;defines the Content-Usage&nbsp;rule for the Robots Exclusion Protocol (robots.txt).
What should be the expected behavior if these two mechanisms provide conflicting&nbsp;instructions&nbsp;for the same resource?
For example:

The HTTP header says: Content-Usage: train-ai=y&nbsp;(Allow training)

But the robots.txt says: Content-Usage: train-ai=n&nbsp;(Disallow training)
Which one should the automated system (crawler/AI) prioritize? Is there a defined hierarchy, or should both be considered simultaneously?
This is a practical scenario I am curious about, especially for webmasters who might configure these separately.
Thanks for any clarification!
Best regards,
Yudong Sheng

happypants
[email-masked]